#4771 Import tool fails

self-service
None
cocotools
2013-08-20
2013-07-23
No

I tried to import a small repository using the import tool (repository clone tool). I started the process last Thursday and was told that I would receive an e-mail when finished. I think after 4 days it is safe to assume that the import tool failed. Some more information:

SF repository URL: svn.code.sf.net/p/cocotools/auto/test
source repo URL  : http://www2.mat.dtu.dk/people/F.Schilder/tmp/ep/

When I create a shell I can see that the import worked out partially. One difference between the imported repository and the source repository is in the subdirectory

test/db/revs/0

The source contains revisions 0-6 while the imported repo contains only revision 0. It seems like the import failed prematurely.

Please let me know if you need other details. I will leave both repositories alive for some more time for bug fixing or creating a copy.

Best regards,
Frank

Discussion

  • Anonymous - 2013-07-23

    While it appears that the files at that URL have an svn structure, it is not valid for import, it needs to be a URL that's accessible via svn operation methods.

    eg. this doesn't work, but it needs to for this import method:

    $ svn info http://www2.mat.dtu.dk/people/F.Schilder/tmp/ep/
    Redirecting to URL 'http://www2.mat.dtu.dk/people/F.Schilder/tmp/ep':
    Redirecting to URL 'http://www2.mat.dtu.dk/people/F.Schilder/tmp/ep':
    svn: E195019: Redirect cycle detected for URL 'http://www2.mat.dtu.dk/people/F.Schilder/tmp/ep'
    $ 
    

    Let me know if this helps!

    Regards,
    Chris Tsai, SourceForge.net Support

     
  • Anonymous - 2013-07-23
    • status: unread --> pending
    • assigned_to: Chris Tsai
     
  • Frank Schilder

    Frank Schilder - 2013-07-23

    OK, I kind of see what you mean.

    It would be helpful if restoring a repository from a backup wasn't all that complicated. Right now I have to

    1) delete the svn tool
    2) recreate it with the same mount point
    3) restore all permissions
    4) follow one of the not so simple ways for importing an existing repository
    5) everything I forgot

    This really is a bit of a pain.

    I understand that this situation shouldn't occur very often. Nevertheless, having write access via rsync was a very comfortable way of doing all this in a few seconds. To avoid accidental commits while rsyncing, all that's needed is a button in the svn tool to disable/enable svn access to the repository (creating and removing some hook scripts at the push of a button). If this toggles write access for rsync at the same time, then not even an accidental restore could happen.

    Thanks for your help and best regards,
    Frank

     
  • Frank Schilder

    Frank Schilder - 2013-07-23

    OK, I followed the above procedure using the svnsync version from the import repository help page. What I end up with now is, that all working copies seem to be invalid:

    svn status -u ep
    svn: Repository UUID '6c543e85-aa8f-4a09-b697-8d8a8e94232e' doesn't match expected UUID '597bc776-a2c9-4a27-9fa1-95e0c9c82b95'
    

    Is there any way to restore the UUID (and other meta information) as well so that other developers can continue working without the hassle of saving local changes, checking out a fresh working copy, manually applying differences to modified files and committing their changes (hopefully without loosing anything?

    What I'm looking for is a proper "restore" after a corruption that doesn't have any side effects like invalidating existing working copies.

    Many thanks and best regards,
    Frank

     
  • Frank Schilder

    Frank Schilder - 2013-07-23

    OK, I figured it out. Please consider including the following additional information on the page svn import:

    In step 2 after "svnadmin load svnrepo/ < svn_dump" execute

    svnlook uuid svnrepo
    

    and save the UUID.

    In step 5 of svndump, before exiting the SF shell, execute

    cd /home/svn/p/strawhat
    svnadmin setuuid code <UUID saved in step 2>
    

    This will make the repository an identical copy of the imported one for all practical purposes.

    It seems highly advisable to delete some revision properties used by svnsync to mark the repository as "non-syncable", in other words, to avoid accidental future svnsync operations on the repository, which will invariably destroy the repository:

    Step 7, on the local machine execute:
    
    svn propdel --revprop -r0 svn:sync-from-url svn+ssh://ctsai@svn.code.sf.net/p/strawhat/code
    svn propdel --revprop -r0 svn:sync-from-uuid svn+ssh://ctsai@svn.code.sf.net/p/strawhat/code
    svn propdel --revprop -r0 svn:sync-last-merged-rev svn+ssh://ctsai@svn.code.sf.net/p/strawhat/code
    

    Best regards,
    Frank

     
  • Anonymous - 2013-07-23

    I'm glad you were able to sort this out, and thanks for the edit suggestions. That said, that page (as it's in the "community-docs" section) is actually user editable if you want to make those changes yourself. Or I can take care of it. Your choice.

    Regards,
    Chris Tsai, SourceForge.net Support

     
  • Frank Schilder

    Frank Schilder - 2013-07-23

    Thanks for your response. I would prefer if you could make the edits, just to have four eyes check that its correct. For some of the commands I had to substitute example URLs for the ones I used.

    I will have another read afterwards.

    Best regards,
    Frank

     
    Last edit: Frank Schilder 2013-07-23
  • Anonymous - 2013-07-23

    Okay, made some doc edits.

    Regards,
    Chris Tsai, SourceForge.net Support

     
  • Frank Schilder

    Frank Schilder - 2013-07-26

    Hi Chris,

    thanks for making the edits. I modified a few small things too.

    There seems to be a problem with the subscribe functionality. I subscribed to the page, but didn't receive a notification about the changes you made. Could you please check why the subscription doesn't work for me?

    When I go to manage subscriptions, I also don't see any.

    Many thanks,
    Frank

     
  • Anonymous - 2013-07-26

    Thanks for those further edits, they look good. There was actually a bug with notification system that might have also caused problems that should now be fixed. Though that said, it sounds to me that you aren't actually subscribed to that page. Could you clarify how you tried subscribing? Was it via the envelope icon in the upper right? If so, did it change to a blue highlighted one after you clicked on it? Also, making an edit on that page should also cause you to subscribe to that page.

    Thanks,
    Chris Tsai, SourceForge.net Support

     
  • Frank Schilder

    Frank Schilder - 2013-08-02

    Hi Chris,

    I subscribed by clicking the envelope icon. It has a blue shadow and when I hover over it the tooltip says "Unsubscribe from this page". So, I should be subscribed to that (and other pages), but the "manage subscriptions ..." page doesn't show any subscriptions. I never received any message through a subscription.

    By the way, the page https://sourceforge.net/u/fschild/profile/ shows that I have an additional e-mail address: fschild@users.sf.net. Are subscription messages going there? Will they be forwarded to my regular e-mail address?

    Best regards,
    Frank

     
  • Anonymous - 2013-08-06

    The blue shadow is indeed what would appear if you're subscribed, perhaps there's some inconsistent data. Try toggling the subscription and check again (ie., unsubscribe then resubscribe).

    Also, the users.sf.net address is a mail alias that forwards to your email, dependent on your Mail Alias Setting on your account page. But if the subscription isn't showing on https://sourceforge.net/auth/subscriptions/ then that's probably a red herring for this particular issue.

    Regards,
    Chris Tsai, SourceForge.net Support

     
  • Anonymous - 2013-08-13
    • status: pending --> self-service
     
  • Frank Schilder

    Frank Schilder - 2013-08-19

    Hi Chris,

    thank you for your message. On my account page it shows that I'm subscribed to all sorts of stuff, including this ticket, but I don't get anything! My account says that my mail-alias is fschild@users.sourceforge.net, not fschild@users.sf.net as you indicated in your previous message. I tried to send an e-mail to fschild@users.sourceforge.net without success. Here the error messages:

    • First message with a warning only:

      This is an automatically generated Delivery Status Notification.

      THIS IS A WARNING MESSAGE ONLY.

      YOU DO NOT NEED TO RESEND YOUR MESSAGE.

      Delivery to the following recipients has been delayed.

      fschild@users.sourceforge.net

      Reporting-MTA: dns;winsmtp2.win.dtu.dk
      Received-From-MTA: dns;ceylon
      Arrival-Date: Fri, 16 Aug 2013 16:24:44 +0200
      Final-Recipient: rfc822;fschild@users.sourceforge.net
      Action: delayed
      Status: 4.0.0
      Diagnostic-Code: smtp;451 Could not complete recipient verify callout
      Will-Retry-Until: Sun, 18 Aug 2013 16:23:40 +0200

    • Second message with error message:

      This is an automatically generated Delivery Status Notification.

      Unable to deliver message to the following recipients, due to being unable to connect successfully to the destination mail server.

      fschild@users.sourceforge.net

    Looks like all my messages disappear into hyperspace. Should I file this as a separate ticket?

    Best regards,
    Frank

     
  • Frank Schilder

    Frank Schilder - 2013-08-20

    Hi Chris,

    I have an amendmend to my previous message. Sending e-mails to fschild@users.sf.net seems to work. It seems that the wrong e-mail alias is set in my SF account. Could you please fix this?

    On a related note, the e-mail arrived, but was sent with a long delay. I got this warning message:

        **********************************************
        **      THIS IS A WARNING MESSAGE ONLY      **
        **  YOU DO NOT NEED TO RESEND YOUR MESSAGE  **
        **********************************************
    
    The original message was received at Mon,
        19 Aug 2013 19:13:17 +0200
    from:
    <f.schilder@mat.dtu.dk>
    
       ----- Transcript of session follows -----
    ... while talking to mx.sourceforge.net.:
    >>> DATA  
    <<< 451 Could not complete recipient verify callout
    <fschild@users.sf.net>... Deferred: 451 Could not complete
        recipient verify callout
    <<< 503-All RCPT commands were rejected with this error:
    <<< 503-Could not complete recipient verify callout
    <<< 503 Valid RCPT command must precede DATA
    Warning: message still undelivered after 1 hour
    Will keep trying until message is 1 day old
    

    It's a bit annoying if this happens every time.

    Best regards,
    Frank

     
    Last edit: Frank Schilder 2013-08-20
  • Frank Schilder

    Frank Schilder - 2013-08-20

    Hi Chris,

    yet another update. For the first time in history I got an e-mail from SF about the previous message I just posted. Maybe the bug was fixed in the meantime?

    Best regards,
    Frank

     

Log in to post a comment.

Get latest updates about Open Source Projects, Conferences and News.

Sign up for the SourceForge newsletter:

JavaScript is required for this form.





No, thanks